---
title: "GET financialsummaries-suppliercredits"
url: "https://developer.retailexpress.com.au/apis/public-api-0/versions/d2454f6f-56f1-4fd6-9cd1-82871d94bd1c/paths/financialsummaries-suppliercredits/get"
---

> Full API specification: https://developer.retailexpress.com.au/apis/public-api-0/versions/d2454f6f-56f1-4fd6-9cd1-82871d94bd1c.md

# /financialsummaries/suppliercredits

`GET` `/financialsummaries/suppliercredits`

## Query parameters

- `date_from` (string, optional)
- `supplier_credit_note_date_from` (string, optional)
- `date_to` (string, optional)
- `page_size` (string, optional)
- `page_number` (string, optional)
- `supplier_credit_note_date_to` (string, optional)
- `store_ids` (string, optional)

## Header parameters

- `x-api-key` (string, required)

## Responses

- `200` - 200 response
- `400` - 400 response
- `403` - 403 response
- `429` - 429 response

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: PublicApi
  version: 0.1.0
servers:
  - url: https://api.retailexpress.com.au/{basePath}
    variables:
      basePath:
        default: v1
paths:
  /financialsummaries/suppliercredits:
    get:
      parameters:
        - name: date_from
          in: query
          schema:
            type: string
        - name: supplier_credit_note_date_from
          in: query
          schema:
            type: string
        - name: date_to
          in: query
          schema:
            type: string
        - name: page_size
          in: query
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
        - name: page_number
          in: query
          schema:
            type: string
        - name: supplier_credit_note_date_to
          in: query
          schema:
            type: string
        - name: store_ids
          in: query
          schema:
            type: string
      responses:
        "200":
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SupplierCreditListResponse"
        "400":
          description: 400 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
        "403":
          description: 403 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
        "429":
          description: 429 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
      security:
        - api_key: []
security:
  - api_key: []
components:
  schemas:
    SupplierCreditListResponse:
      type: object
      properties:
        page_number:
          $ref: "#/components/schemas/PageNumber"
        total_records:
          $ref: "#/components/schemas/TotalRecords"
        total_pages:
          $ref: "#/components/schemas/TotalPages"
        supplier_credits:
          type: array
          description: A list of supplier credits
          items:
            $ref: "#/components/schemas/SupplierCredit"
        page_size:
          $ref: "#/components/schemas/PageSize"
    PageNumber:
      title: Page Number
      type: integer
      description: The current page number
    TotalRecords:
      title: Total Record Count
      type: integer
      description: The total number of records in your query
    TotalPages:
      title: Total Page Count
      type: integer
      description: The total number of pages in your query
    SupplierCredit:
      type: object
      properties:
        store_id:
          title: Store ID
          type: string
          description: The ID of the store
        date:
          title: Date
          type: string
          description: The date the supplier credit was received
        supplier_credit_note_date:
          title: Supplier Credit Note Date
          type: string
          description: The supplier credit note date
        credit_note_lines:
          type: array
          description: A list of items in supplier credit
          items:
            $ref: "#/components/schemas/CreditNoteLine"
        credit_note_id:
          title: Id
          type: string
          description: The id of the credit note
        supplier_reference:
          title: The supplier reference
          type: string
          description: The supplier reference
        supplier_return_id:
          title: Supplier Return Id
          type: integer
          description: The id of the supplier return
        supplier_id:
          title: Supplier Id
          type: string
          description: The ID of the supplier within this system
      description: A supplier credit
    PageSize:
      title: Page Size
      type: integer
      description: The maximum number of records in a single page
    CreditNoteLine:
      type: object
      properties:
        amount_tax:
          title: Amount Tax
          type: number
          description: The tax chargeable on the cost of the supplier credit
        amount_inclusive:
          title: Amount Inclusive
          type: number
          description: The cost of the supplier credit, inclusive of tax
        amount_exclusive:
          title: Amount Exclusive
          type: number
          description: The cost of the supplier credit, exclusive of tax
        transaction_type:
          title: Transaction Type
          type: string
          description: The type of supplier credit
      description: A supplier credit
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header
      x-amazon-apigateway-authtype: custom
```
